package com.liangjian.dataplatform.member.entity.vo.detailvo;

import com.liangjian.dataplatform.member.entity.vo.datanodes.DataNode;
import com.liangjian.dataplatform.member.entity.vo.datanodes.MetaDataSource;

/**
 * @Author: 黄子奇
 * @Date: 2019/8/28 16:24
 * 数据源、落地库的详细信息结构
 */
public class DataSourceDetailVo implements DetailVo<MetaDataSource> {
    private static final long serialVersionUID = 4880742845042157623L;

    private MetaDataSource metaDataSource;

    public DataSourceDetailVo(MetaDataSource metaDataSource) {
        this.metaDataSource = metaDataSource;
    }

    @Override
    public DataNode getRealNode() {
        return this.metaDataSource;
    }

    @Override
    public void setRealNode(MetaDataSource source) {
        this.metaDataSource = source;
    }

    @Override
    public String getNodeType() {
        return this.metaDataSource.getNodeType();
    }

    @Override
    public String getDataNodeType() {
        return this.metaDataSource.getDataKind();
    }

}
